## gogglesmm 1.2.2

=== CMakeLists.txt ===
# Using cmake 3.2
cmake_minimum_required(VERSION 3.3.1 FATAL_ERROR)

project(gogglesmm_dist)

# Honor CMAKE_EXE_LINKER_FLAGS during tests
cmake_policy(SET CMP0056 NEW)

# Need FeaureSummary
include(FeatureSummary)

# Enable for cmake debugging
# set(CMAKE_VERBOSE_MAKEFILE TRUE)

# libdir name to allow overriding to lib32 / lib64
# set(CMAKE_INSTALL_LIBDIR "lib" CACHE STRING "Specify the name of the directory where libraries are meant to be installed")

# Build with internal FOX library, the OFF setting is not supported
option(WITH_CFOX "Enable Internal FOX" ON)

# Override default install to /usr
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX /usr CACHE STRING "Installation prefix used by install." FORCE)
endif()

# Override default build type
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE MinSizeRel CACHE STRING "Specify the desired build type." FORCE)
endif()

# Status so far
message(STATUS "Using build type: ${CMAKE_BUILD_TYPE}")
message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")

#-------------------------------------------------------------------------------

include(CheckCXXCompilerFlag)

# Additional compiler flags we like
CHECK_CXX_COMPILER_FLAG(-Wall HAS_CXX_WALL)
if(HAS_CXX_WALL)
  add_compile_options(-Wall)
  if(CMAKE_BUILD_TYPE MATCHES Debug)
    add_compile_options(-Wno-format)
  endif()
endif()

CHECK_CXX_COMPILER_FLAG(-Wextra HAS_CXX_WEXTRA)
if(HAS_CXX_WEXTRA)
  add_compile_options(-Wextra)
endif()

# Hide all false positive warnings for fox fxmessage
CHECK_CXX_COMPILER_FLAG(-Wformat=2 HAS_CXX_WFORMAT)
if(HAS_CXX_WFORMAT AND NOT CMAKE_BUILD_TYPE MATCHES Debug)
    add_compile_options(-Wformat=2)
endif()


CHECK_CXX_COMPILER_FLAG(-Wfatal-errors HAS_CXX_WFATAL)
if(HAS_CXX_WFATAL)
  add_compile_options(-Wfatal-errors)
endif()

CHECK_CXX_COMPILER_FLAG(-Og HAS_CXX_OPTIMIZE_DEBUG)
if(HAS_CXX_OPTIMIZE_DEBUG AND CMAKE_BUILD_TYPE MATCHES Debug)
  add_compile_options(-Og)
endif()

# FIXME Doesn't work on all platforms.
#CHECK_CXX_COMPILER_FLAG(-flto HAS_CXX_OPTIMIZE_LINKTIME)
if(HAS_CXX_OPTIMIZE_LINKTIME AND NOT CMAKE_BUILD_TYPE MATCHES Debug)
  add_compile_options(-flto)
  link_libraries(-flto)
endif()

if(CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions(-DDEBUG)
endif()

# Suppress FXASSERT
if(CMAKE_BUILD_TYPE MATCHES None)
  add_definitions(-DNDEBUG)
endif()

#-------------------------------------------------------------------------------

# Internal FOX Library
if(WITH_CFOX)
  add_subdirectory(cfox)
endif()

# Add Goggles Audio Player
add_subdirectory(gap)

# Add Goggles Music Manager
add_subdirectory(src)


#-------------------------------------------------------------------------------

# Extra Installation Files
install(PROGRAMS extra/import_banshee_stats.py
                 extra/import_gogglesmm12.py
                 extra/import_gogglesmm12_stats.py
        DESTINATION
                 share/gogglesmm)

install(FILES icons/gogglesmm_16.png DESTINATION share/icons/hicolor/16x16/apps RENAME gogglesmm.png)
install(FILES extra/gogglesmm_22.png DESTINATION share/icons/hicolor/22x22/apps RENAME gogglesmm.png)
install(FILES extra/gogglesmm_24.png DESTINATION share/icons/hicolor/24x24/apps RENAME gogglesmm.png)
install(FILES icons/gogglesmm_32.png DESTINATION share/icons/hicolor/32x32/apps RENAME gogglesmm.png)
install(FILES extra/gogglesmm_48.png DESTINATION share/icons/hicolor/48x48/apps RENAME gogglesmm.png)
install(FILES extra/gogglesmm_64.png DESTINATION share/icons/hicolor/64x64/apps RENAME gogglesmm.png)
install(FILES extra/gogglesmm.svg DESTINATION share/icons/hicolor/scalable/apps RENAME gogglesmm.svg)
install(FILES extra/gogglesmm.appdata.xml DESTINATION share/metainfo)
install(FILES extra/gogglesmm.desktop DESTINATION share/applications)
install(FILES extra/gogglesmm.1 DESTINATION share/man/man1)

# Install translations when native language support has been enabled
if(WITH_NLS)
    set(LINGUAS "All" CACHE STRING "A space-seperated list of translations to compile in to gogglesmm, or \"None\".")
    if (LINGUAS STREQUAL "All")
        file(GLOB pofiles po/*.po)
        foreach(pofile ${pofiles})
            get_filename_component(lang ${pofile} NAME_WE)
            list(APPEND LANGUAGES ${lang})
        endforeach()
    else()
        if(NOT LINGUAS OR LINGUAS STREQUAL "None")
            set(LANGUAGES "")
        else()
            string(REGEX MATCHALL [a-zA-Z_@]+ LANGUAGES ${LINGUAS})
        endif()
    endif()

    foreach(lang ${LANGUAGES})
        install(FILES po/${lang}.mo DESTINATION share/locale/${lang}/LC_MESSAGES RENAME gogglesmm.mo)
    endforeach()
endif()

# Update the icon cache upon installation if needed
install(SCRIPT build/update_icons.cmake)

# Display Feature Summary
feature_summary(WHAT ENABLED_FEATURES DESCRIPTION "Features:\n")

=== cfox/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1)

set(CMAKE_VERBOSE_MAKEFILE TRUE)

project(cfox VERSION 1.7.74)

option(WITH_NATIVE "Compile for native architecture" OFF)

include(CheckCXXCompilerFlag)

check_cxx_compiler_flag(-Wall                HAS_CXX_WALL)
check_cxx_compiler_flag(-Wextra              HAS_CXX_WEXTRA)
check_cxx_compiler_flag(-Wno-format          HAS_CXX_WFORMAT)
check_cxx_compiler_flag(-Woverloaded-virtual HAS_CXX_WOVERLOADED_VIRTUAL)
check_cxx_compiler_flag(-Wshadow             HAS_CXX_WSHADOW)
check_cxx_compiler_flag(-Wno-implicit-fallthrough HAX_CXX_IMPLICIT_FALLTHROUGH)


check_cxx_compiler_flag(-Wfatal-errors  HAS_CXX_WFATAL)
check_cxx_compiler_flag(-Og             HAS_CXX_OPTIMIZE_DEBUG)
check_cxx_compiler_flag(-ffast-math     HAS_CXX_FASTMATH)
check_cxx_compiler_flag(-fstrict-aliasing HAS_CXX_STRICTALIASING)
check_cxx_compiler_flag(-finline-functions HAS_CXX_INLINEFUNCTIONS)
check_cxx_compiler_flag(-fomit-frame-pointer HAS_CXX_OMITFRAMEPOINTER)

if(HAS_CXX_FASTMATH)
  add_compile_options("$<$<CONFIG:Release>:-ffast-math>")
endif()

if(HAS_CXX_STRICTALIASING)
  add_compile_options("$<$<CONFIG:Release>:-fstrict-aliasing>")
endif()

if(HAS_CXX_INLINEFUNCTIONS)
  add_compile_options("$<$<CONFIG:Release>:-finline-functions>")
endif()

if(HAS_CXX_OMITFRAMEPOINTER)
  add_compile_options("$<$<CONFIG:Release>:-fomit-frame-pointer>")
endif()



if(HAS_CXX_WALL)
    add_compile_options(-Wall)
endif()

if(HAS_CXX_WEXTRA)
    add_compile_options(-Wextra)
endif()

if(HAS_CXX_WFORMAT)
    add_compile_options(-Wno-format)
endif()

if(HAS_CXX_WFATAL)
    add_compile_options(-Wfatal-errors)
endif()

if(HAS_CXX_WSHADOW)
    add_compile_options(-Wshadow)
endif()

if(HAS_CXX_WOVERLOADED_VIRTUAL)
    add_compile_options(-Woverloaded-virtual)
endif()

if(HAX_CXX_IMPLICIT_FALLTHROUGH)
    add_compile_options(-Wno-implicit-fallthrough)
endif()

if(WITH_NATIVE)
  check_cxx_compiler_flag(-march=native HAS_CXX_OPTIMIZE_NATIVE)
  if(HAS_CXX_OPTIMIZE_NATIVE)
    add_compile_options(-march=native)
  endif()
endif()


# Libraries
add_subdirectory(utils)
add_subdirectory(lib)

=== gap/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1 FATAL_ERROR)

# set(CMAKE_VERBOSE_MAKEFILE TRUE)

include(TestBigEndian)
include(CheckIncludeFiles)
include(FeatureSummary)

# Test only in Debug mode for now
if(CMAKE_BUILD_TYPE MATCHES Debug)
  add_subdirectory(test)
endif()

# Third Party Modules
add_subdirectory(lib/alac)


# Goggles Audio Player
project(GAP VERSION 1.2.2)

# Update whenever ABI changes
set(GAP_SOVERSION_CURRENT 0)    # Increase whenever an interface has been added, removed or changed.
set(GAP_SOVERSION_REVISION 0)   # Always increase the revision value. Reset to 0 when Current changes.
set(GAP_SOVERSION_AGE 0)        # Increase the age value only if the changes made to the ABI are backward compatible.


set_package_properties(FOX PROPERTIES
                           URL "http://www.fox-toolkit.org"
                           PURPOSE "\tportability library"
                           TYPE REQUIRED)

set_package_properties(expat PROPERTIES
                            PURPOSE "\txml parser"
                            TYPE REQUIRED)


set_package_properties(flac PROPERTIES
                            URL "https://xiph.org/flac"
                            PURPOSE "\tFLAC Codec"
                            TYPE RECOMMENDED)

set_package_properties(ogg PROPERTIES
                            URL "https://www.xiph.org/ogg/"
                            PURPOSE "\tOgg File Input"
                            TYPE RECOMMENDED)

set_package_properties(vorbis PROPERTIES
                            URL "http://www.vorbis.com/"
                            PURPOSE "\tVorbis Codec"
                            TYPE RECOMMENDED)

set_package_properties(opus PROPERTIES
                            URL "http://www.opus-codec.org/"
                            PURPOSE "\tOpus Codec"
                            TYPE RECOMMENDED)

set_package_properties(mad PROPERTIES
                            URL "http://www.underbit.com/products/mad/"
                            PURPOSE "\tMP3 Codec"
                            TYPE OPTIONAL)

set_package_properties(faad PROPERTIES
                            URL "http://www.audiocoding.com/faad2.html"
                            PURPOSE "\tAAC Codec"
                            TYPE OPTIONAL)

set_package_properties(tremor PROPERTIES
                            URL "https://xiph.org/vorbis/"
                            PURPOSE "\tVorbis Codec"
                            TYPE OPTIONAL)

set_package_properties(alsa PROPERTIES
                            URL "http://www.alsa-project.org/"
                            PURPOSE "\tALSA Output"
                            TYPE OPTIONAL)

set_package_properties(pulse PROPERTIES
                            URL "https://www.freedesktop.org/wiki/Software/PulseAudio"
                            PURPOSE "\tPulseAudio Output"
                            TYPE OPTIONAL)

set_package_properties(sndio PROPERTIES
                            URL "http://www.sndio.org/"
                            PURPOSE "\tSndio Output"
                            TYPE OPTIONAL)

set_package_properties(openssl PROPERTIES
                            URL "https://www.openssl.org"
                            PURPOSE "\tSecure HTTP"
                            TYPE OPTIONAL)

set_package_properties(gnutls PROPERTIES
                            URL "https://www.gnutls.org"
                            PURPOSE "\tSecure HTTP"
                            TYPE OPTIONAL)

set_package_properties(gcrypt PROPERTIES
                            URL "https://www.gnu.org/software/libgcrypt"
                            PURPOSE "\tMD5 Hashing"
                            TYPE OPTIONAL)

set_package_properties(zlib PROPERTIES
                            URL "http://www.zlib.net/"
                            PURPOSE "\tZLIB decompression for http(s)"
                            TYPE OPTIONAL)


# Allow GAP to be build as a shared library.
if(MSVC)
  set(BUILD_GAP_SHARED_LIB ON CACHE BOOL "Build libgap as a shared library" FORCE)
else()
  set(BUILD_GAP_SHARED_LIB OFF CACHE BOOL "Build libgap as a shared library")
endif()

# libdir name to allow overriding to lib32 / lib64
set(CMAKE_INSTALL_LIBDIR "lib" CACHE STRING "Specify the name of the directory where libraries are meant to be installed")

# Make CMAKE_INSTALL_LIBDIR relative to CMAKE_INSTALL_PREFIX
if(IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBDIR ${CMAKE_INSTALL_LIBDIR})
  file(RELATIVE_PATH CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_PREFIX} ${CMAKE_INSTALL_LIBDIR})
else()
  set(CMAKE_INSTALL_FULL_LIBDIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
endif()

# Optional flags to turn on/off compilation of specific modules
if(UNIX)

  # Output Plugins
  if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    option(WITH_OSS "OSS Output Support" OFF)
    option(WITH_ALSA "ALSA Output Support" ON)
  else()
    option(WITH_OSS "OSS Output Support" ON)
    option(WITH_ALSA "ALSA Output Support" OFF)
  endif()
  option(WITH_PULSE "PulseAudio Output Support" ON)
  option(WITH_JACK "Jack Output Support (currently not working)" OFF)
  option(WITH_WAVOUT "WAV Output Support" ON)
  option(WITH_SNDIO "Sndio Output Support" ON)

  # Containers
  option(WITH_OGG "Ogg File Support" ON)
  option(WITH_MATROSKA "Matroska File Support" ON)
  option(WITH_MP4 "MP4 File Support" ON)

  # Codecs
  option(WITH_VORBIS "Vorbis Codec Support" ON)
  option(WITH_TREMOR "Vorbis Codec (using Tremor) Support" OFF)
  option(WITH_FLAC "FLAC Codec Support" ON)
  option(WITH_MAD "MP3 Codec Support" ON)
  option(WITH_ALAC "ALAC Codec Support" ON)
  option(WITH_FAAD "AAC Codec Support" ON)
  option(WITH_OPUS "Opus Codec Support" ON)
  option(WITH_A52 "A52 Codec Support" OFF)
  option(WITH_DCA "DCA Codec Support" OFF)

  # HTTP(s) + Zlib
  option(WITH_OPENSSL "OpenSSL Support" ON)
  option(WITH_GNUTLS "GnuTLS Support" ON)
  option(WITH_GCRYPT "libgcrypt Support" ON)
  option(WITH_ZLIB "zlib Support" ON)

  option(WITH_STATIC_FOX "Pull in static library dependencies for FOX" OFF)

endif()

# Endiannes
TEST_BIG_ENDIAN(GAP_BIGENDIAN)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED on)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

# Expat
find_package(EXPAT REQUIRED)
LIST(APPEND LIBRARIES ${EXPAT_LIBRARIES})

# Third Party Libraries
if(CMAKE_SYSTEM_NAME STREQUAL "Windows")

  # FOX
  find_library(FOX_LIBRARIES NAMES FOX-1.7)
  find_path(FOX_INCLUDE_DIRS NAME fx.h PATH_SUFFIXES fox-1.7)

else()
  find_package(PkgConfig REQUIRED QUIET)

  if (WITH_CFOX)
    set(FOX_LIBRARIES cfox)
    set(FOX_INCLUDE_DIRS $<TARGET_PROPERTY:cfox,INTERFACE_INCLUDE_DIRECTORIES>)
    set_property(TARGET cfox PROPERTY POSITION_INDEPENDENT_CODE TRUE)
  else()
    pkg_check_modules(FOX fox17>=1.7.50 REQUIRED)
  endif()

  if(WITH_ALSA)
    pkg_check_modules(ALSA alsa>=1.0)
  endif()

  if(WITH_PULSE)
    pkg_check_modules(PULSE libpulse>=0.9.21)
  endif()

  if(WITH_JACK)
    pkg_check_modules(JACK jack)
  endif()

  if(WITH_SNDIO)
    check_include_files(sndio.h HAVE_SNDIO_H)
    if(HAVE_SNDIO_H)
        find_library(SNDIO_LIBRARIES NAMES sndio)
        if(SNDIO_LIBRARIES)
            set(SNDIO_FOUND 1)
        endif()
    endif()
  endif()

  if(WITH_DCA)
    pkg_check_modules(DCA libdca)
  endif()

  if(WITH_FLAC)
    pkg_check_modules(FLAC flac)
  endif()

  if(WITH_OGG)
    pkg_check_modules(OGG ogg>=1.0)
    if(WITH_TREMOR)
      pkg_check_modules(TREMOR vorbisidec>=1.2)
    elseif(WITH_VORBIS)
      pkg_check_modules(VORBIS vorbis>=1.2)
    endif()
    if(WITH_OPUS)
      pkg_check_modules(OPUS opus)
    endif()
  endif()

  if(WITH_ZLIB)
    pkg_check_modules(ZLIB zlib)
  endif()

  if(WITH_OPENSSL)
    pkg_check_modules(OPENSSL openssl>=1.0.1)
  elseif(WITH_GNUTLS)
    pkg_check_modules(GNUTLS gnutls>=3.4.0)
  elseif(WITH_GCRYPT)
    check_include_files(gcrypt.h HAVE_GCRYPT_H)
    if (HAVE_GCRYPT_H)
      find_library(LIBGCRYPT_LIBRARIES NAMES gcrypt )
      if (LIBGCRYPT_LIBRARIES)
        set(GCRYPT_FOUND 1)
      endif()
    endif()
  endif()
endif()


# Check for libgrypt


# Check for libmad
if(WITH_MAD)
  check_include_files(mad.h HAVE_MAD_H)
  if (HAVE_MAD_H)
    find_library(MAD_LIBRARIES NAMES mad )
    if (MAD_LIBRARIES)
      set(MAD_FOUND TRUE)
    endif()
  endif()
endif()


# Check for faad
if(WITH_FAAD)
  check_include_files(faad.h HAVE_FAAD_H)
  if (HAVE_FAAD_H)
    find_library(FAAD_LIBRARIES NAMES faad )
    if (FAAD_LIBRARIES)
      set(FAAD_FOUND TRUE)
    endif()
  endif()
endif()


# Check for a52
if(WITH_A52)
  find_path(HAVE_A52_H a52dec/a52.h)
  if (HAVE_A52_H)
      find_library(A52_LIBRARIES NAMES a52)
      if (A52_LIBRARIES)
          set(A52_FOUND TRUE)
          message(STATUS "liba52dec found ${A52_LIBRARIES}")
      endif()
  endif()
endif()

#-------------------------------------------------------------------------------

set(SOURCES ap_app_queue.cpp
            ap_buffer.cpp
            ap_buffer_io.cpp
            ap_connect.cpp
            ap_convert.cpp
            ap_crossfader.cpp
            ap_decoder_plugin.cpp
            ap_decoder_thread.cpp
            ap_device.cpp
            ap_engine.cpp
            ap_event.cpp
            ap_format.cpp
            ap_http_client.cpp
            ap_http_response.cpp
            ap_input_plugin.cpp
            ap_input_thread.cpp
            ap_output_thread.cpp
            ap_packet.cpp
            ap_player.cpp
            ap_reactor.cpp
            ap_reader_plugin.cpp
            ap_signal.cpp
            ap_socket.cpp
            ap_thread.cpp
            ap_thread_queue.cpp
            ap_utils.cpp
            ap_xml_parser.cpp
            )

set(HEADERS ap_buffer.h
            ap_config.h
            ap_connect.h
            ap_convert.h
            ap_crossfader.h
            ap_decoder_plugin.h
            ap_decoder_thread.h
            ap_defs.h
            ap_engine.h
            ap_event_private.h
            ap_format.h
            ap_input_plugin.h
            ap_input_thread.h
            ap_output_plugin.h
            ap_output_thread.h
            ap_packet.h
            ap_reactor.h
            ap_reader_plugin.h
            ap_signal.h
            ap_socket.h
            ap_thread.h
            ap_thread_queue.h
            ap_utils.h
            )

set(PUBLIC_HEADERS include/ap.h
                   include/ap_app_queue.h
                   include/ap_buffer_base.h
                   include/ap_buffer_io.h
                   include/ap_common.h
                   include/ap_device.h
                   include/ap_event.h
                   include/ap_event_queue.h
                   include/ap_http.h
                   include/ap_http_client.h
                   include/ap_http_response.h
                   include/ap_player.h
                   include/ap_xml_parser.h
                   )


set(PLUGIN_SOURCES plugins/ap_aiff.cpp
                   plugins/ap_file.cpp
                   plugins/ap_http.cpp
                   plugins/ap_m3u.cpp
                   plugins/ap_pcm.cpp
                   plugins/ap_pls.cpp
                   plugins/ap_wav.cpp
                   plugins/ap_xspf.cpp
                   )
#if(WIN32)
  if(BUILD_GAP_SHARED_LIB)
    add_definitions(-DGAP_DLL)
    set(GAP_PLUGIN_LINK_TARGET gap)
  else()
    set(GAP_PLUGIN_LINK_TARGET gogglesmm)
  endif()
#endif()

# Link to FOX during shared library build
if(BUILD_GAP_SHARED_LIB)
  LIST(APPEND LIBRARIES ${FOX_LIBRARIES})
endif()

# Buildin Alac Decoder
if(WITH_ALAC AND WITH_MP4)
  LIST(APPEND PLUGIN_SOURCES plugins/ap_alac.cpp)
  LIST(APPEND GAP_TARGET_OBJECTS $<TARGET_OBJECTS:gap_alac>)
  set(HAVE_ALAC 1)
endif()

if(FLAC_FOUND)
  LIST(APPEND PLUGIN_SOURCES plugins/ap_flac.cpp)
  LIST(APPEND LIBRARIES ${FLAC_LIBRARIES})
  set(HAVE_FLAC 1)
endif()

# Vorbis and Opus Decoders only with Ogg or Matroska.
if(WITH_OGG AND OGG_FOUND)

  if(WITH_TREMOR AND TREMOR_FOUND)
    LIST(APPEND PLUGIN_SOURCES plugins/ap_vorbis.cpp)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1 FATAL_ERROR)

include(TestBigEndian)
include(CheckIncludeFiles)
include(FeatureSummary)

project(GOGGLESMM VERSION 1.2.2)


option(WITH_OPENGL "Enable OpenGL Features" ON)
option(WITH_DBUS "Enable DBUS Features" ON)
option(WITH_NLS "Enable Native Language Support" ON)
option(WITH_SESSION "Enable X Session Support" ON)

# Translation Files to share/locale
set(LOCALE_PATH ${CMAKE_INSTALL_PREFIX}/share/locale)

# Don't use CMAKE_INSTALL_PREFIX since most icons won't be installed anywhere but /usr
set(ICON_PATH /usr/share/icons)

# We need C++ 11
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED on)
set(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

# Display the build type
message(STATUS "Icon Path: ${ICON_PATH}")
message(STATUS "Locale Path: ${LOCALE_PATH}")


#------------------------------------------------------------------------------

TEST_BIG_ENDIAN(GOGGLESMM_BIGENDIAN)

find_package(PkgConfig)

if(NOT WITH_CFOX)
  pkg_check_modules(FOX REQUIRED fox17>=1.7.50 )
else()
  set(CFOX cfox)
endif()

pkg_check_modules(TAGLIB REQUIRED taglib>=1.9.0)
pkg_check_modules(SQLITE REQUIRED sqlite3>=3.6.19)

pkg_check_modules(SM sm)
pkg_check_modules(ICE ice)
pkg_check_modules(X11 x11)

if(WITH_DBUS)
  pkg_check_modules(DBUS dbus-1)
endif()

if(WITH_OPENGL)
  pkg_check_modules(EPOXY REQUIRED epoxy)
  pkg_check_modules(GLU REQUIRED glu)
  set(HAVE_OPENGL 1)
endif()

if(WITH_NLS)
  find_package(Intl REQUIRED)
  set(HAVE_NLS 1)
endif()


if(WITH_CFOX)
  set(RESWRAP $<TARGET_FILE:reswrap>)
  set(RESWRAP_H ${RESWRAP} --keep-ext --header)
  set(RESWRAP_CPP ${RESWRAP} --keep-ext --source --extern)
  set(RESWRAP_TEXT ${RESWRAP} --keep-ext -t)
else()
  find_program(RESWRAP NAMES reswrap-1.7 reswrap fox-reswrap)
  if(RESWRAP)
    message(STATUS "Found reswrap: ${RESWRAP}")
    execute_process(COMMAND ${RESWRAP} -v OUTPUT_VARIABLE RESWRAP_OUTPUT)
    string(REGEX MATCH "[0-9]+.[0-9]+.[0-9]" RESWRAP_VERSION "${RESWRAP_OUTPUT}")
    if(RESWRAP_VERSION VERSION_LESS "5.0")
      set(RESWRAP_H ${RESWRAP} -i -k)
      set(RESWRAP_CPP ${RESWRAP} -e -k)
      set(RESWRAP_TEXT ${RESWRAP} -t -k)
    else()
      set(RESWRAP_H ${RESWRAP} --keep-ext --header)
      set(RESWRAP_CPP ${RESWRAP} --keep-ext --source --extern)
      set(RESWRAP_TEXT ${RESWRAP} --keep-ext -t)
    endif()
  else()
    message(FATAL_ERROR "Unable to find reswrap")
  endif()
endif()


#------------------------------------------------------------------------------

set(SOURCES GMAbout.cpp
            GMAnimImage.cpp
            GMApp.cpp
            GMAudioPlayer.cpp
            GMAudioScrobbler.cpp
            GMAlbumList.cpp
            GMClipboard.cpp
            GMColumnDialog.cpp
            GMCover.cpp
            GMCoverCache.cpp
            GMCoverManager.cpp
            GMDatabase.cpp
            GMDatabaseSource.cpp
            GMFilename.cpp
            GMFilter.cpp
            GMFilterEditor.cpp
            GMFilterSource.cpp
            GMFontDialog.cpp
            GMIconTheme.cpp
            GMImportDialog.cpp
            GMImageView.cpp
            GMList.cpp
            GMLocalSource.cpp
            GMLyrics.cpp
            GMPlayerManager.cpp
            GMPlayListSource.cpp
            GMPlayQueue.cpp
            GMPodcastSource.cpp
            GMPreferences.cpp
            GMPreferencesDialog.cpp
            GMPresenter.cpp
            GMRemote.cpp
            GMScanner.cpp
            GMSource.cpp
            GMSourceView.cpp
            GMTag.cpp
            GMTaskManager.cpp
            GMTrack.cpp
            GMTrackDatabase.cpp
            GMTrackEditor.cpp
            GMTrackList.cpp
            GMTrackItem.cpp
            GMTrackView.cpp
            GMTrayIcon.cpp
            GMStreamSource.cpp
            GMWindow.cpp
            main.cpp
            icons.cpp
            fxext.cpp
            gmutils.cpp)

set(HEADERS GMAbout.h
            GMAnimImage.h
            GMApp.h
            GMAudioPlayer.h
            GMAudioScrobbler.h
            GMAlbumList.h
            GMClipboard.h
            GMColumnDialog.h
            GMCover.h
            GMCoverCache.h
            GMCoverManager.h
            GMDatabase.h
            GMDatabaseSource.h
            GMFilename.h
            GMFilter.h
            GMFilterEditor.h
            GMFilterSource.h
            GMFontDialog.h
            GMIconTheme.h
            GMImportDialog.h
            GMImageView.h
            GMList.h
            GMLocalSource.h
            GMLyrics.h
            GMPlayerManager.h
            GMPlayListSource.h
            GMPlayQueue.h
            GMPodcastSource.h
            GMPreferences.h
            GMPreferencesDialog.h
            GMPresenter.h
            GMRemote.h
            GMSession.h
            GMScanner.h
            GMSource.h
            GMSourceView.h
            GMTag.h
            GMTaskManager.h
            GMTrack.h
            GMTrackDatabase.h
            GMTrackEditor.h
            GMTrackList.h
            GMTrackItem.h
            GMTrackView.h
            GMTrayIcon.h
            GMStreamSource.h
            GMWindow.h
            icons.h
            fxext.h
            gmdefs.h
            gmutils.h)

set(ICONS cursor_hand.gif
          about.png
          gogglesmm_16.png
          gogglesmm_32.png
          x16_accessories_text_editor.png
          x16_application_rss_xml.png
          x16_applications_internet.png
          x16_audio_volume_high.png
          x16_audio_volume_low.png
          x16_audio_volume_medium.png
          x16_audio_volume_muted.png
          x16_audio_x_generic.png
          x16_bookmark_new.png
          x16_document_open.png
          x16_document_save.png
          x16_edit_copy.png
          x16_edit_cut.png
          x16_edit_delete.png
          x16_edit_find.png
          x16_edit_paste.png
          x16_edit_undo.png
          x16_exit.png
          x16_folder.png
          x16_folder_open.png
          x16_go_bottom.png
          x16_go_home.png
          x16_help_browser.png
          x16_image_x_generic.png
          x16_list_add.png
          x16_list_remove.png
          x16_media_optical.png
          x16_media_playback_pause.png
          x16_media_playback_start.png
          x16_media_playback_stop.png
          x16_media_skip_backward.png
          x16_media_skip_forward.png
          x16_preferences_desktop.png
          x16_process_working.png
          x16_stock_attach.png
          x16_status_error.png
          x16_system_users.png
          x16_text_x_generic.png
          x16_view_refresh.png
          x16_view_sort_descending.png
          x16_window_close.png
          x16_x_office_presentation.png
          x22_applications_internet.png
          x22_applications_multimedia.png
          x22_applications_rss_xml.png
          x22_audio_volume_high.png
          x22_audio_volume_low.png
          x22_audio_volume_medium.png
          x22_audio_volume_muted.png
          x22_audio_x_generic.png
          x22_document_open.png
          x22_document_properties.png
          x22_drive_harddisk.png
          x22_folder.png
          x22_image_x_generic.png
          x22_media_playback_pause.png
          x22_media_playback_start.png
          x22_media_playback_stop.png
          x22_media_skip_backward.png
          x22_media_skip_forward.png
          x22_preferences_system.png
          x22_text_x_generic.png
          x22_user_bookmarks.png
          x22_user_home.png
          x22_x_office_presentation.png
          x128_media_optical.png)



if(WITH_SESSION AND SM_FOUND AND ICE_FOUND)
  list(APPEND SOURCES GMSession.cpp)
  set(HAVE_SESSION 1)
endif()


add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/icons.h ${CMAKE_CURRENT_SOURCE_DIR}/icons.cpp
  COMMAND ${RESWRAP_H} -o ${CMAKE_CURRENT_SOURCE_DIR}/icons.h ${ICONS}
  COMMAND ${RESWRAP_CPP} -o ${CMAKE_CURRENT_SOURCE_DIR}/icons.cpp ${ICONS}
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/icons
  VERBATIM
  )

# Enable DBUS specific features
if (WITH_DBUS AND DBUS_FOUND)
  list(APPEND SOURCES GMDBus.cpp
                      GMSettingsDaemon.cpp
                      GMMediaPlayerService.cpp
                      GMNotifyDaemon.cpp)

  list(APPEND HEADERS GMDBus.h
                      GMSettingsDaemon.h
                      GMMediaPlayerService.h
                      GMNotifyDaemon.h
                      mpris1_xml.h
                      mpris2_xml.h)

  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/mpris1_xml.h ${CMAKE_CURRENT_SOURCE_DIR}/mpris2_xml.h
    COMMAND ${RESWRAP_TEXT} -o mpris1_xml.h mpris.xml mpris_player.xml mpris_tracklist.xml
    COMMAND ${RESWRAP_TEXT} -o mpris2_xml.h mpris2.xml
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    )
  set(HAVE_DBUS 1)
endif()


# Features
add_feature_info(dbus HAVE_DBUS "D-Bus")
add_feature_info(nls WITH_NLS "Native Language Support")
add_feature_info(opengl HAVE_OPENGL "OpenGL Rendering")
add_feature_info(session HAVE_SESSION "X11 Session Management")

# Write gmconfig.h
configure_file(gmconfig.h.in ${CMAKE_CURRENT_SOURCE_DIR}/gmconfig.h)

# Goggles Music Manager
add_executable(gogglesmm ${SOURCES} ${HEADERS})

# GAP outplut plugins need symbols from the gap library. If we build GAP as a static library,
# gogglesmm needs to export those symbols instead.
if(NOT BUILD_GAP_SHARED_LIB)
  message(STATUS "gogglesmm: enable exports (libgap static library)")
  set_target_properties(gogglesmm PROPERTIES ENABLE_EXPORTS 1)
endif()

# Include Directories
target_include_directories(gogglesmm PRIVATE
                           ${FOX_INCLUDE_DIRS}
                           ${TAGLIB_INCLUDE_DIRS}
                           ${DBUS_INCLUDE_DIRS})

# Libraries
target_link_libraries(gogglesmm PRIVATE gap ${CFOX}
                      ${SQLITE_LIBRARIES}
                      ${TAGLIB_LIBRARIES}
                      ${DBUS_LIBRARIES}
                      ${GLU_LIBRARIES}
                      ${EPOXY_LIBRARIES}
                      ${X11_LIBRARIES}
                      ${SM_LIBRARIES}
                      ${ICE_LIBRARIES}
                      ${Intl_LIBRARIES})

install(TARGETS gogglesmm RUNTIME DESTINATION bin)

=== cfox/lib/CMakeLists.txt ===
include(CheckIncludeFileCXX)
include(CheckCXXSourceCompiles)
include(CheckCXXSymbolExists)
include(CMakePushCheckState)

option(WITH_XIM "Compile with X Input Method support" ON)
option(WITH_JPEG "Compile with JPEG support" ON)
option(WITH_PNG "Compile with PNG support" ON)
option(WITH_TIFF "Compile with TIFF support" ON)
option(WITH_ZLIB "Compile with zlib support" ON)
option(WITH_BZ2LIB "Compile with bz2lib support" ON)
option(WITH_WEBP "Compile with webp support" ON)
option(WITH_OPENJPEG "Compile with OpenJPEG support" ON)
option(WITH_OPENGL "Compile with OpenGL support" ON)

# libdir name to allow overriding to lib32 / lib64
set(CMAKE_INSTALL_LIBDIR "lib" CACHE STRING "Specify the name of the directory where libraries are meant to be installed")

set(HEADERS ../include/fx3d.h
            ../include/FX4Splitter.h
            ../include/FX7Segment.h
            ../include/FX885910Codec.h
            ../include/FX885911Codec.h
            ../include/FX885913Codec.h
            ../include/FX885914Codec.h
            ../include/FX885915Codec.h
            ../include/FX885916Codec.h
            ../include/FX88591Codec.h
            ../include/FX88592Codec.h
            ../include/FX88593Codec.h
            ../include/FX88594Codec.h
            ../include/FX88595Codec.h
            ../include/FX88596Codec.h
            ../include/FX88597Codec.h
            ../include/FX88598Codec.h
            ../include/FX88599Codec.h
            ../include/FXAccelTable.h
            ../include/FXApp.h
            ../include/FXArray.h
            ../include/FXArrowButton.h
            ../include/fxascii.h
            ../include/FXAtomic.h
            ../include/FXAutoPtr.h
            ../include/FXAutoThreadStorageKey.h
            ../include/FXBarrier.h
            ../include/FXBitmapFrame.h
            ../include/FXBitmap.h
            ../include/FXBitmapView.h
            ../include/FXBMPIcon.h
            ../include/FXBMPImage.h
            ../include/FXButton.h
            ../include/FXBZFileStream.h
            ../include/FXCalendar.h
            ../include/FXCalendarView.h
            ../include/FXCallback.h
            ../include/FXCanvas.h
            ../include/FXCheckButton.h
            ../include/FXChoiceBox.h
            ../include/FXColorBar.h
            ../include/FXColorDialog.h
            ../include/FXColorList.h
            ../include/FXColorRing.h
            ../include/FXColorSelector.h
            ../include/FXColors.h
            ../include/FXColorWell.h
            ../include/FXColorWheel.h
            ../include/FXComboBox.h
            ../include/FXCompletion.h
            ../include/FXComplexd.h
            ../include/FXComplexf.h
            ../include/FXComposeContext.h
            ../include/FXComposite.h
            ../include/FXCondition.h
            ../include/FXConsole.h
            ../include/FXCP1250Codec.h
            ../include/FXCP1251Codec.h
            ../include/FXCP1252Codec.h
            ../include/FXCP1253Codec.h
            ../include/FXCP1254Codec.h
            ../include/FXCP1255Codec.h
            ../include/FXCP1256Codec.h
            ../include/FXCP1257Codec.h
            ../include/FXCP1258Codec.h
            ../include/FXCP437Codec.h
            ../include/FXCP850Codec.h
            ../include/FXCP852Codec.h
            ../include/FXCP855Codec.h
            ../include/FXCP856Codec.h
            ../include/FXCP857Codec.h
            ../include/FXCP860Codec.h
            ../include/FXCP861Codec.h
            ../include/FXCP862Codec.h
            ../include/FXCP863Codec.h
            ../include/FXCP864Codec.h
            ../include/FXCP865Codec.h
            ../include/FXCP866Codec.h
            ../include/FXCP869Codec.h
            ../include/FXCP874Codec.h
            ../include/fxcpuid.h
            ../include/FXCURCursor.h
            ../include/FXCursor.h
            ../include/FXDataTarget.h
            ../include/FXDate.h
            ../include/FXDC.h
            ../include/FXDCPrint.h
            ../include/FXDCWindow.h
            ../include/FXDDSIcon.h
            ../include/FXDDSImage.h
            ../include/FXDebugTarget.h
            ../include/fxdefs.h
            ../include/FXDelegator.h
            ../include/FXDial.h
            ../include/FXDialogBox.h
            ../include/FXDictionary.h
            ../include/FXDictionaryOf.h
            ../include/FXDirBox.h
            ../include/FXDirDialog.h
            ../include/FXDir.h
            ../include/FXDirList.h
            ../include/FXDirSelector.h
            ../include/FXDirVisitor.h
            ../include/FXDirWatch.h
            ../include/FXDispatcher.h
            ../include/FXDisplay.h
            ../include/FXDLL.h
            ../include/FXDockBar.h
            ../include/FXDockHandler.h
            ../include/FXDockSite.h
            ../include/FXDockTitle.h
            ../include/FXDocument.h
            ../include/FXDragCorner.h
            ../include/FXDrawable.h
            ../include/FXDriveBox.h
            ../include/FXElement.h
            ../include/fxendian.h
            ../include/FXEvent.h
            ../include/FXEventDispatcher.h
            ../include/FXEventLoop.h
            ../include/FXException.h
            ../include/FXEXEIcon.h
            ../include/FXEXEImage.h
            ../include/FXExpression.h
            ../include/FXExtentd.h
            ../include/FXExtentf.h
            ../include/FXFileAssociations.h
            ../include/FXFileDialog.h
            ../include/FXFile.h
            ../include/FXFileList.h
            ../include/FXFileProgressDialog.h
            ../include/FXFileSelector.h
            ../include/FXFileStream.h
            ../include/FXFoldingList.h
            ../include/FXFontDialog.h
            ../include/FXFont.h
            ../include/FXFontSelector.h
            ../include/FXFrame.h
            ../include/FXGauge.h
            ../include/FXGIFCursor.h
            ../include/FXGIFIcon.h
            ../include/FXGIFImage.h
            ../include/FXGLCanvas.h
            ../include/FXGLContext.h
            ../include/FXGLObject.h
            ../include/FXGLViewer.h
            ../include/FXGLVisual.h
            ../include/FXGradientBar.h
            ../include/FXGroupBox.h
            ../include/FXGZFileStream.h
            ../include/fx.h
            ../include/FXhalf.h
            ../include/FXHash.h
            ../include/FXHashOf.h
            ../include/FXHeader.h
            ../include/FXHorizontalFrame.h
            ../include/FXICOIcon.h
            ../include/FXICOImage.h
            ../include/FXIconCache.h
            ../include/FXIcon.h
            ../include/FXIconList.h
            ../include/FXIconSource.h
            ../include/FXId.h
            ../include/FXIFFIcon.h
            ../include/FXIFFImage.h
            ../include/FXImageFrame.h
            ../include/FXImage.h
            ../include/FXImageView.h
            ../include/FXInputDialog.h
            ../include/FXIOBuffer.h
            ../include/FXIODevice.h
            ../include/FXIO.h
            ../include/FXJP2Icon.h
            ../include/FXJP2Image.h
            ../include/FXJPGIcon.h
            ../include/FXJPGImage.h
            ../include/FXJSON.h
            ../include/FXJSONFile.h
            ../include/FXJSONString.h
            ../include/fxkeys.h
            ../include/FXKnob.h
            ../include/FXKOI8RCodec.h
            ../include/FXLabel.h
            ../include/FXLFQueue.h
            ../include/FXListBox.h
            ../include/FXList.h
            ../include/FXLocale.h
            ../include/FXMainWindow.h
            ../include/FXMat2d.h
            ../include/FXMat2f.h
            ../include/FXMat3d.h
            ../include/FXMat3f.h
            ../include/FXMat4d.h
            ../include/FXMat4f.h
            ../include/fxmath.h
            ../include/FXMatrix.h
            ../include/FXMDIButton.h
            ../include/FXMDIChild.h
            ../include/FXMDIClient.h
            ../include/FXMemMap.h
            ../include/FXMemoryStream.h
            ../include/FXMenuBar.h
            ../include/FXMenuButton.h
            ../include/FXMenuCaption.h
            ../include/FXMenuCascade.h
            ../include/FXMenuCheck.h
            ../include/FXMenuCommand.h
            ../include/FXMenuPane.h
            ../include/FXMenuRadio.h
            ../include/FXMenuSeparator.h
            ../include/FXMenuTitle.h
            ../include/FXMessageBox.h
            ../include/FXMessageChannel.h
            ../include/FXMetaClass.h
            ../include/FXMutex.h
            ../include/FXObject.h
            ../include/FXObjectList.h
            ../include/FXOptionMenu.h
            ../include/FXPacker.h
            ../include/FXParallel.h
            ../include/FXPath.h
            ../include/FXPCXIcon.h
            ../include/FXPCXImage.h
            ../include/FXPicker.h
            ../include/FXPipe.h
            ../include/FXPNGIcon.h
            ../include/FXPNGImage.h
            ../include/FXPoint.h
            ../include/FXPopup.h
            ../include/FXPPMIcon.h
            ../include/FXPPMImage.h
            ../include/FXPrintDialog.h
            ../include/FXProcess.h
            ../include/FXProgressBar.h
            ../include/FXProgressDialog.h
            ../include/FXPtrList.h
            ../include/FXPtrQueue.h
            ../include/FXQuatd.h
            ../include/FXQuatf.h
            ../include/FXRadioButton.h
            ../include/FXRandom.h
            ../include/FXRanged.h
            ../include/FXRangef.h
            ../include/FXRangeSlider.h
            ../include/FXRASIcon.h
            ../include/FXRASImage.h
            ../include/FXReactor.h
            ../include/FXReadWriteLock.h
            ../include/FXRealSlider.h
            ../include/FXRealSpinner.h
            ../include/FXRecentFiles.h
            ../include/FXRectangle.h
            ../include/FXRefPtr.h
            ../include/FXRegion.h
            ../include/FXRegistry.h
            ../include/FXReplaceDialog.h
            ../include/FXReverseDictionary.h
            ../include/FXReverseDictionaryOf.h
            ../include/FXRex.h
            ../include/FXRGBIcon.h
            ../include/FXRGBImage.h
            ../include/FXRootWindow.h
            ../include/FXRuler.h
            ../include/FXRulerView.h
            ../include/FXRunnable.h
            ../include/FXScopedThread.h
            ../include/FXScrollArea.h
            ../include/FXScrollBar.h
            ../include/FXScrollPane.h
            ../include/FXScrollWindow.h
            ../include/FXSearchDialog.h
            ../include/FXSemaphore.h
            ../include/FXSemaQueue.h
            ../include/FXSeparator.h
            ../include/FXSettings.h
            ../include/FXShell.h
            ../include/FXShutter.h
            ../include/FXSize.h
            ../include/FXSlider.h
            ../include/FXSocket.h
            ../include/FXSphered.h
            ../include/FXSpheref.h
            ../include/FXSpinLock.h
            ../include/FXSpinner.h
            ../include/FXSplashWindow.h
            ../include/FXSplitter.h
            ../include/FXSpring.h
            ../include/FXStat.h
            ../include/FXStatusBar.h
            ../include/FXStatusLine.h
            ../include/FXStream.h
            ../include/FXStringDictionary.h
            ../include/FXString.h
            ../include/FXSwitcher.h
            ../include/FXSystem.h
            ../include/FXTabBar.h
            ../include/FXTabBook.h
            ../include/FXTabItem.h
            ../include/FXTable.h
            ../include/FXTaskGroup.h
            ../include/FXTextCodec.h
            ../include/FXTextField.h
            ../include/FXText.h
            ../include/FXTGAIcon.h
            ../include/FXTGAImage.h
            ../include/FXThread.h
            ../include/FXThreadPool.h
            ../include/FXTIFIcon.h
            ../include/FXTIFImage.h

=== debian/changelog ===
gogglesmm (1.2.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 04 Aug 2021 18:06:54 -0400

gogglesmm (1.2.2-0ppa1~bionic1~ubuntu21.04.1~ppa1) hirsute; urgency=medium

  * No-change backport to hirsute

 -- Sander Jansen <s.jansen@gmail.com>  Sun, 03 Jan 2021 12:41:54 -0600

gogglesmm (1.2.2-0ppa1~bionic1) bionic; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Sun, 27 Dec 2020 15:47:21 -0600

gogglesmm (1.2.1-0ppa1~bionic1) bionic; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Tue, 31 Jul 2018 19:05:31 -0500

gogglesmm (1.2.0-0ppa1~bionic1) bionic; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Wed, 04 Jul 2018 02:02:19 -0500

gogglesmm (1.1.8-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Tue, 11 Apr 2017 20:46:23 -0500

gogglesmm (1.1.7-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Tue, 28 Mar 2017 21:25:34 -0500

gogglesmm (1.1.6-1ppa1~xenial1) xenial; urgency=medium

  * Fix build options

 -- Sander Jansen <s.jansen@gmail.com>  Wed, 08 Feb 2018 09:08:00 -0600

gogglesmm (1.1.6-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Tue, 07 Feb 2017 19:58:31 -0600

gogglesmm (1.1.5-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Sun, 01 Jan 2017 01:15:35 -0600

gogglesmm (1.1.4-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Fri, 23 Dec 2016 12:25:01 -0600

gogglesmm (1.1.3-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Sat, 22 Oct 2016 12:18:54 -0500

gogglesmm (1.1.2-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Thu, 20 Oct 2016 10:38:20 -0500

gogglesmm (1.1.1-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Thu, 29 Sep 2016 21:03:24 -0500

gogglesmm (1.1.0-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Sat, 17 Sep 2016 17:21:18 -0500

gogglesmm (1.0.18-0ppa3~xenial1) xenial; urgency=medium

  * Drop cmake to 3.2.2 to support backport to trusty

 -- Sander Jansen <s.jansen@gmail.com>  Sat, 06 Aug 2016 13:19:29 -0500

gogglesmm (1.0.18-0ppa2~xenial1) xenial; urgency=medium

  * Require cmake 3.3.1

 -- Sander Jansen <s.jansen@gmail.com>  Fri, 05 Aug 2016 22:39:00 -0500

gogglesmm (1.0.18-0ppa1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Fri, 05 Aug 2016 21:28:52 -0500

gogglesmm (1.0.14-0ppa1~trusty1) trusty; urgency=medium

  * New upstream release.

 -- Sander Jansen <s.jansen@gmail.com>  Mon, 30 May 2016 12:17:12 -0500

gogglesmm (1.0.12-0ppa3~trusty1) trusty; urgency=medium

  * Rebuild for FOX 1.7.55

 -- Sander Jansen <s.jansen@gmail.com>  Sat, 21 May 2016 22:47:58 -0500

gogglesmm (1.0.12-0ppa2~trusty1) trusty; urgency=low

  * Fix package dependencies

 -- Sander Jansen <s.jansen@gmail.com>  Fri, 13 May 2016 21:55:01 -0500

gogglesmm (1.0.12-0ppa1~trusty1) trusty; urgency=low

  * Initial release 

 -- Sander Jansen <s.jansen@gmail.com>  Fri, 29 Apr 2016 13:44:42 -0500

=== debian/control ===
Source: gogglesmm
Section: sound
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Sander Jansen <s.jansen@gmail.com>
Build-Depends: debhelper (>= 9),
	       cmake (>= 3.2.2),
	       libx11-dev,
	       libxft-dev,
               libxrandr-dev, 
               libxfixes-dev,
               libxcursor-dev, 
               libice-dev,
               libsm-dev,
               libgl-dev,
               libz-dev,
               libbz2-dev,
               libpng-dev,
               libjpeg-dev,
               libwebp-dev,
               libtiff-dev,
	       libsqlite3-dev (>= 3.6.19),
	       libtag1-dev (>= 1.9.0),
	       libdbus-1-dev,
	       libasound2-dev,
	       libpulse-dev,
	       libogg-dev,
	       libvorbis-dev,
	       libopus-dev,
	       libflac-dev,
	       libmad0-dev,	
	       libfaad-dev,
	       libepoxy-dev,
	       libssl-dev,
	       libexpat1-dev,
	       libglu1-mesa-dev				
Standards-Version: 3.9.7
Homepage: https://gogglesmm.github.io
Vcs-Git: https://github.com/gogglesmm/gogglesmm.git

Package: gogglesmm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: python2
Description: Goggles Music Manager
 Music Manager and Player

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=-format

%:
	#dh $@  --with autotools-dev
	dh $@ --buildsystem=cmake

override_dh_strip:
	dh_strip --no-automatic-dbgsym

#override_dh_auto_configure:
#	dh_auto_configure $@ --buildsystem=cmake -- -DWITH_OPENSSL=OFF
